<template>
  <el-main>
    <el-row>
      <el-col>
        <el-table :data="agents">
          <el-table-column prop="username" label="Username"></el-table-column>
          <el-table-column label="...">
            <template slot-scope="scope">
              <router-link class="el-button el-button--button el-button--mini" :to="`/agents/${scope.row.id}`">Show more</router-link>
            </template>
          </el-table-column>
        </el-table>
      </el-col>
    </el-row>
  </el-main>
</template>

<script>
import gql from 'graphql-tag'

export default {
  data() {
    return { agents: [] }
  },
  apollo: {
    agents: {
      query: gql`{ users(role: "agent"){ id username } }`,
      update({ users }) { return  users }
    }
  }
}
</script>
